Page MenuHomeFreeBSD

Update graphics/prison to 1.1.1 and take maintainership
ClosedPublic

Authored by tcberner on Jan 1 2017, 1:50 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Nov 28, 3:49 PM
Unknown Object (File)
Apr 7 2017, 8:46 PM
Unknown Object (File)
Mar 12 2017, 7:35 PM
Unknown Object (File)
Mar 5 2017, 2:48 PM
Unknown Object (File)
Feb 7 2017, 1:17 PM
Unknown Object (File)
Feb 4 2017, 4:04 AM
Unknown Object (File)
Jan 2 2017, 10:44 AM
Subscribers
None

Details

Summary
  • prison-1.1.1 was released on march 16, 2014 (1.0 is from 2011...).
  • bump revision in x11/kde4-workspace and deskutils/kdepimlibs4
  • take maintainership for kde@.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

tcberner updated this revision to Diff 23509.
tcberner retitled this revision from to Update graphics/prison to 1.1.1 and take maintainership.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: kde, rakuco, adridg, mat.

... while here, also define DIST_SUBDIR.

Why does PORTREVISION need to be bumped in the dependent ports? libprison.so is still at .0

graphics/prison/Makefile
19 ↗(On Diff #23509)

USES=cmake:outsource?

tcberner edited edge metadata.
  • switch to cmake:outsource
  • remove bumps (I thought the increase from 0.0.0 to 0.1.0 required it).
rakuco edited edge metadata.

lgtm

The ELF binaries on FreeBSD only depend on lib<xxx>.so.N, which is normally bumped when there are ABI changes in the libraries.

This revision is now accepted and ready to land.Jan 1 2017, 3:51 PM
This revision was automatically updated to reflect the committed changes.